package com.sa.ibiz.demo.demoapp.controller.demo.vo;

import java.sql.Timestamp;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonProperty.Access;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import lombok.Data;
import com.sa.ibiz.demo.demo.service.dto.OrgSectorSearchFilter;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import org.springframework.util.StringUtils;
import java.util.Map;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class OrgSector_SearchForm_Default{

    private Map<String,String> srfparentdata;

    private String n_orgsectorname_like;
    private Page page;
    private Page getPage(){
        if(this.page==null)
            this.page=new Page(1,20,true);
        return this.page;
    }

    public  void fromOrgSectorSearchFilter(OrgSectorSearchFilter sourceSearchFilter)  {
        this.setN_orgsectorname_like(sourceSearchFilter.getN_orgsectorname_like());
        this.setPage(sourceSearchFilter.getPage());
	}
    public  OrgSectorSearchFilter toOrgSectorSearchFilter()  {
        OrgSectorSearchFilter targetSearchFilter=new OrgSectorSearchFilter();
        if(targetSearchFilter.getN_orgsectorname_like()==null)
            targetSearchFilter.setN_orgsectorname_like(this.getN_orgsectorname_like());
        targetSearchFilter.setPage(this.getPage());
        return targetSearchFilter;
	}


}